#!/bin/bash
#Formulated from the conda-forge gsl 2.5 & gsl 2.6 recipes
#We needed gsl 2.5, but with the library fixes from the 2.6 recipe

set -e
set -x

export LIBS="-lcblas -lm"

./configure --prefix=${PREFIX}  \
            --host=${HOST} || (cat config.log && exit 1)

make -j${CPU_COUNT}
make check
make install

ls -al "$PREFIX"/lib
ls -al "$PREFIX"/bin

if [[ "$target_platform" == osx* ]]; then
    ln -sf "libcblas.3.dylib" "$PREFIX/lib/libgslcblas.dylib"
    ln -sf "libcblas.3.dylib" "$PREFIX/lib/libgslcblas.0.dylib"
    rm "$PREFIX/lib/libcblas.3.dylib"
    touch "$PREFIX/lib/libcblas.3.dylib"
elif [[ "$target_platform" == linux* ]]; then
    ln -sf "libcblas.so.3" "$PREFIX/lib/libgslcblas.so"
    ln -sf "libcblas.so.3" "$PREFIX/lib/libgslcblas.so.0"
    rm "$PREFIX/lib/libcblas.so.3"
    touch "$PREFIX/lib/libcblas.so.3"
elif [[ "$target_platform" == win* ]]; then
    rm "$PREFIX/lib/gslcblas.dll.lib"
    rm "$PREFIX/bin/gslcblas-0.dll"
    cp "$PREFIX/lib/cblas.lib" "$PREFIX/lib/gslcblas.lib"
fi
